Bug 285891 - (CVE-2007-4783) CVE-2007-4783 php crash in iconv_substr() function
CVE-2007-4783 php crash in iconv_substr() function
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-11 09:15 EDT by Tomas Hoger
Modified: 2007-11-29 09:36 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-12 14:58:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2007-09-11 09:15:48 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2007-4783 to the following vulnerability:

The iconv_substr function in PHP 5.2.4 and earlier allows context-dependent attackers to cause (1) a denial of service (application crash) via a long string in the charset parameter, probably also requiring a long string in the str parameter; or (2) a denial of service (temporary application hang) via a long string in the str parameter.  NOTE: this might not be a vulnerability in most web server environments that support multiple threads, unless these issues can be demonstrated for code execution.

References:

http://www.securityfocus.com/archive/1/archive/1/478637/100/0/threaded
Comment 1 Josh Bressers 2007-09-12 14:58:15 EDT
We do not consider these to be security issues. For more details see
http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=169857#c1
and http://www.php.net/security-note.php

Note You need to log in before you can comment on or make changes to this bug.